VBOwatch - Introduction

Introduction

VB-PowerWrap is a new utility from MoonLight Software that allows developers to distribute their programs without the host of various OCX's and DLL's. VB-PowerWrap can scan a VB project and wrap the appropriate dependency files and create a self-contained file for distribution. VB-PowerWrap also includes compression to create the smallest distribution possible.

VB-PowerWrap features:

1) Compresses all DLLs , OCXs and TLB files
2) Registers appropriate controls on users machine if needed
3) No runtime headaches
4) Automatically scans your project for DLLs , OCXs and references.
5) Works with VB 4(32 bit) , 5 and 6
6) VB-PowerWrap never modifies your original executable.
7) Embed all your files in one executable
8) Create a fast installation for your programs.
9)Create CD Demos!

Some Advantages of using VB-PowerWrap

You can send one executable and not worry about runtime files.

Powerful compression for the smallest exe.

Reduce download times across the internet and networks.

Automatically register controls on users machine

Run your executable off a CDROM without installing runtime files.. GREAT FOR DEMOS.

Add graphic files, text files or databases to your executable.


Dips - System Requirements

System Requirements

The following are required to run and use VB-PowerWrap

CPU : 486 - 100Mhz (minimum)

Memory : 16MB (minimum)

Hard Disk space : 1.4M for the VB-PowerWrap program

Video Card : VGA (minimum)

Operating Systems : Windows® 95, Windows® 98, Windows® NT4 Workstation or Windows® 2000

Development Environments : Visual Basic 5/6


MoonLight Software - Product Line - Home Page

Moonlight Software, based in Vancouver British Columbia, serves the local needs of our customers in Western Canada and the Western United States as well as our International client base.

Communications and Security are our specialties, and our Internet Applications are streamlined, efficient and designed to meet the needs of both corporate and personal customers.

We believe in providing our customers with the best available software at the most competitive prices in today's growing market.

NetWatcher 2000 ...
 Windows 95/98/NT/2000

"Stop Intruders Before They Stop You!"
NetWatcher gives you all the information you need to trace anyone intruding into your system - Read all about it and download a free trial version today!

NetWatcher 2000
$24.95 US

TaskGuard 2000
Windows 95/98

Wonder what's being used on your computer? Employees whittling away time on the Internet? Children playing games instead of doing homework? TaskGuard 2000 will help you put an end to computer and Internet misuse in the workplace, at home, even in your retail store or Internet cafe.

TaskGuard 2000 comes with extensive, easy-to-read, illustrated Help for each section of the program, along with a Free 7-day trial. Get your copy today!

TaskGuard 2000
$79.95 US

Ex-Stor 5
Windows 95/98 - OutLook Express 5

The simplest, quickest way to back up and restore your OutLook Express® 5 mail -- Give Ex-Stor 5 a try today and see just how fast and easy it is to use - and rest easy knowing your important mail is safe!

Ex-Stor 5
$19.95 US

NetLightning 2000
Windows 95/98/NT

Speed up your Internet access - watch streaming video and downloads fly - With our 15 day trial you can "try it before you buy it", and see the difference today!

. NetLightning 2000
$19.95 US

VBOLock .
Windows 95/98/NT/2000

Easy to use, easy to implement - Powerful copy protection for all of your Visual Basic software applications - Free trial !

VBO Lock
$69.95 US

VBOWatch
 Windows 95/98/NT/2000

VBOWatch uses a powerful combination of
Anti-Debugging & Anti-Monitoring routines for Visual Basic programmers which helps stop hackers from cracking or reverse engineering your products. For added security, VBOWatch will compress your executable up to 70% to stop hackers from disassembling your code or using a Hex Editor.

VBOWatch
$69.95 US

Site Sentry 2000 ..
Windows 95/98/NT/2000

Password Protect your Web site with this easy to use Java Applet brought to you by MoonLight Software. No knowledge of Java required - Give this 15 day trial a look for yourself and see how easy it really is!

Site Sentry
$19.95 US

WebCrypt 2000 ...
Windows 95/98/NT/2000

Cargoes Internet Depot Top Tool Award - April 13, 2000
Rating cargoes5star.gif (376 bytes)

Successfully encrypt 80% of regular html pages, including most javascript. Foil spam spiders looking for targets, protect your graphics from being swiped, and more .. Free trial - check it out today!

WebCrypt 2000
$19.95 US

PassLock 2000 ..
Windows 95/98/NT/2000

Encrypt any Windows based file - images, documents, spreadsheets, sound files, applications, the possibilities are virtually endless! Protect files on your system, or share encrypted files with others (without the need for any additional software) - just click, enter the password, and voila!

PassLock 2000
$19.95 US

Zap! HTML ..
 Windows 95/98/NT/2000

Zap!<HTML> will compress HTML code anywhere from 1 to 50 %. On small files the compression will be minimal, but on large files it can be significant, making your pages load much faster. Free 7 day trial!

Zap! HTML
$19.95 US

Pass-IT
Windows 95/98/NT/2000

Pass-IT is a cool new utility from MoonLight Software that allows you to archive data (commonly known as "zipping") by compressing the contents into one easy-to-use .exe file. Simply point and click, and your files are un-archived without the need for additional files or utilities. Send compressed files to colleagues, customers, friends or family -- even if they don't have an un-archiving utility!

  • You can password-protect your Pass-IT archives for extra security.
  • You can select any file within your Pass-IT archive and have it automatically open or run as soon as the receiver opens your Pass-IT archive. Great for sending any type of presentation, auto-executing programs, installations and so much more. The less-savvy computer users on your list will thank you over and over again.

$29.95 US

Payment may also be made by sending a Certified Check or Money Order payable in U.S. funds to:

Moonlight Software Inc.
1111 Homer Street, Suite 204
Vancouver, British Columbia
V6B 2Y1

Please be sure to include your return address and e-mail address with your order.


Registering VBOwatch

How Do I Purchase VB-PowerWrap

1. Via The Internet - http://www.moonlight-software.com/ordering.htm
2. Money Order or Certified Check
Payment may also be made by sending a Certified Check or Money Order payable in U.S. funds to:

MoonLight Software
1917 West 4th Ave. Suite 586
Vancouver, B.C. V6J 1M7

Please be sure to include your return address and e-mail address with your order.


Dips - Support

Technical Support

Make sure you have the following information available:

  • The version of VB-PowerWrap that you are running.
  • The Operating System you are running, its version, and its service pack (if applicable).
  • A description of what you were doing when the problem occurred.

Email Support

If you cannot find the necessary information on our webpage, then you can email the MoonLight Software support team at feedback@moonlight-software.com. Please ensure you include all the necessary information regarding the problem you are having and your contact details.


Jan 8

Oct 3,2002 - Add commandline option "usetemp" which will unpack all the
files into the users TEMP directory
Upgraded Interface to use Windows XP Look
Small bug fixes

Nov 8,2001 - Added support for vbrun60.exe. Here is the url to download
http://support.microsoft.com/support/kb/articles/Q192/4/61.ASP

Jan 8,2001 - Fixed small bug when trying to run a VB-Wrapped program from a CD.
Jan 8,2001 - Several minor bugs fixed.

New Features added to version 2.0

Jan 17,2001 - Can now add any type of file to executable by using the ADD button..
Jan 17,2001 - Added save command to final executable.

New Features added to version 2.3

Febuary 12,2001 - Added Open & Save Wrapped Project
Febuary 12,2001 - Added Stats

New features added to version 2.4

Can now run wrapped exectuable off a floppy diskette (1.44)

New features addes to version 2.5

Option menu added to allow stats to be turned on or off
Also fixed a few minor bugs

New features and bug fixes to 2.7

When compiling your VB executable it does not have to be the same name as your project
Better support for detecting dependencies when using the data control
Fixed Windows 2000 dependency bug

New Features added to 3.0

Added delete loader option. To use this function VB_PowerWrap must be registered.

This option will strip the loader from the wrapped program.


Toolbar Shortcuts

Toolbar

The toolbar allows quick access to many of the most commonly used functions within VB-PowerWrap, these are detailed below:

toolbar.bmp (55734 bytes)

  • Clear - Clear current project
  • Add -You can add any type of file to your executable.
    VB-PowerWrap will register controls if they are not located
  • on the users machine.
  • Delete - Delete a Control
  • Project - Load a VB Project (*.VBP)
  • Make - Create a new compressed executable for distribution.
    You can send this file to your users or customer without
    any of the usual dependencies. The executable will be much
    larger than a regular VB program since all the runtime files
    will be included. Once the program is loaded into memory it
    will occupy the same amount of memory as a regular VB
    program and run at the same speed.

     Optimization

    Size: When size is selected VB-PowerWrap will use full compression creating a smaller executable.
    The drawbacks to this is in the executing speed when the app is loaded. It will take a bit longer
    to decompress.

    Speed: Very little compression creating a larger executable. Loading speed will be much faster when executing application.

    Delete Loader(Checked):
    Will delete the loader which executes
    your visual basic program. When the
    user first runs your program, VB-PowerWrap
    will register and install all the controls necessary
    and unload all additional files in the same directory
    as your app. Once this is done VB-PowerWrap
    will then delete the loader leaving your original file
    remaining including the original size.


Restrictions

Project Icon must be 32x32 16 colors or 16x16 16 colors

When Adding to your project avoid these system files:

SHELL32.DLL
USER32.DLL
GDI32.DLL
KERNEL32.DLL

If you include a DLL file which is dependent on another DLL
and this file is missing an error will be generated and the executable
will not run.

Under normal circumstances, VB-PowerWrap creates its temporary files in the same directory that your program is installed in. However, when your program runs from a CD or a floppy this isn't possible. The alternate method uses the Windows TEMP directory Although this poses little problem for most programs, a few programs look for their data relative to the program itself, which can cause difficulties. Most such programs can be told to look elsewhere for their information.


Questions

Questions & Answers:
Does VB-PowerWrap modify my executable in any way?
No
Can I add external files like graphics or textfiles?
Yes, VB-PowerWrap will compress these files and extract them in the same directory as your executable.
Can I create a DEMO on a cd?
Yes, VB-PowerWrap will copy all the files into the temp directory on the clients machine before running the program. Great for creating demos or auto-running your program
from a CD.
Can VB-PowerWrap register TLB files.
Yes, VB-PowerWrap can register, OCXs', Dll's and TLB files.
Is there a limit to the number of files I can wrap?
No
Can I run my wrapped program from a Floppy diskette?
Yes, create your wrapped program on your HD then transfer the executable to your
Floppy drive.
Can I add the vbrun60.exe to the wrapped program
Yes, VB-Powerwrap will install the vbrun60.exe on the users machine using invisible mode


VB-PowerWrap Version 3.1b

for Windows 95/98/NT/2000/XP